// FORM FIELD PROPERTIES STARTS
.form-control {
  font-size: 13px;
  line-height: 14px;
  padding: 12px;
  transition: all 0.3s;
  -webkit-transition: all 0.3s;
  -moz-transition: all 0.3s;
  -ms-transition: all 0.3s;
  -o-transition: all 0.3s;

  @media ($xs) {
    height: 40px;
  }

  @media ($sm) {
    border-radius: 4px;
    font-size: 14px;
    line-height: 17px;
  }

  &::placeholder {
    color: #bdbdbd;
  }

  &:focus {
    border-color: #bdbdbd;
    background-color: #ffffff;
    -webkit-box-shadow: 0 2px 4px 0 rgba(0, 0, 0, 0.1);
    -moz-box-shadow: 0 2px 4px 0 rgba(0, 0, 0, 0.1);
    box-shadow: 0 2px 4px 0 rgba(0, 0, 0, 0.1);
  }
}

.select-wrapper {
  position: relative;

  &:after {
    content: "\e957";
    font-family: "tansim";
    position: absolute;
    top: 50%;
    margin-top: -7px;
    right: 16px;
    display: inline-block;
    font-size: 14px;
    color: #565565;
    line-height: 1;
  }

  select {
    appearance: none;
    -webkit-appearance: none;
    padding-right: 40px;
  }
}

.custom-formcheck {
  display: inline-block;

  input {
    display: none;

    &:checked + label i.checkbox-icon:before {
      content: "\eac0";
      color: #565565;
    }
  }

  label {
    position: relative;
    padding-left: 32px;
    cursor: pointer;

    i.checkbox-icon {
      &:before {
        content: "\eac1";
        font-family: "tansim";
        font-style: normal;
        position: absolute;
        top: 0;
        left: 0;
        font-size: 20px;
        color: #cfcfcf;
      }
    }
  }
}

.custom-radiobtn {
  position: relative;

  input {
    display: none;

    &:checked ~ label i:before {
      width: 20px;
      height: 20px;
      background: #609fff;
      box-shadow: inset 0 0 0 4px #ffffff;
      border-color: #609fff;
    }
  }

  label {
    position: relative;
    padding-left: 32px;
    margin: 0 16px 16px 0;
    min-height: 20px;
    display: flex;
    align-items: center;
    cursor: pointer;

    @media ($sm) {
      color: #4e4e4e;
    }

    i {
      font-style: normal;
      position: absolute;
      top: 0;
      left: 2px;
      width: 20px;
      height: 20px;

      &:before {
        content: "";
        text-align: center;
        -webkit-border-radius: 100%;
        -moz-border-radius: 100%;
        border-radius: 100%;
        -moz-background-clip: padding;
        -webkit-background-clip: padding-box;
        background-clip: padding-box;
        transition: border-color 0.25s linear, background 0.25s linear;
        -webkit-transition: border-color 0.25s linear, background 0.25s linear;
        -moz-transition: border-color 0.25s linear, background 0.25s linear;
        -ms-transition: border-color 0.25s linear, background 0.25s linear;
        -o-transition: border-color 0.25s linear, background 0.25s linear;
        display: inline-block;
        width: 20px;
        height: 20px;
        border: 1px solid #bdbdbd;
        background-color: transparent;
      }
    }
  }
}
// FORM FIELD PROPERTIES ENDS

// BUTTON PROPERTIES STARTS
.btn {
  @media ($xs) {
    font-size: 13px;
    line-height: 14px;
  }
}

.content-wrap {
  padding-top: 56px;

  @media ($sm) {
    padding-top: 72px;
  }
}
